FreeBSD LiveCD

Hi,

Is there an official (and as simple as possible) script that can build a customized FreeBSD 7.0 LiveCD system?

Thanks.
 
sai said:
Hi,

Is there an official (and as simple as possible) script that can build a customized FreeBSD 7.0 LiveCD system?

Thanks.

You have FreeSBIE tools in ports. FreeSBIE was and still is my
favorite live FreeBSD distro.
 
Looking to build a nice rescue cd/dvd or even thumb drive.

Does anyone have any info how to do it? I was playing with tinybsd with no luck.
 
I have used the iso2img.sh script (described here) with some success to convert FreeBSD install iso images to a binary image that can be dd'ed to a usb flash drive. For some reason the livefs image didn't work.
 
tingo said:
I have used the iso2img.sh script (described here) with some success to convert FreeBSD install iso images to a binary image that can be dd'ed to a usb flash drive. For some reason the livefs image didn't work.

That is because USB has nothing to do with iso images for CD-ROM. USB
is for boot purposes the same thing as floppy disk although after the boot
the kernel sees it as SCSI HD. It is not very hard to use images of the bootable floppies and additional installation sets to crate the bootable USB. To create live USB is little bit more difficult but nothing complicated.

I am not sure if UNetBootin http://unetbootin.sourceforge.net/
is ported to FreeBSD but that would be the easiest way to create live USB with FreeBSD. If you want to learn just google OpenBSD +live USB and there are lots of posts OpenBSD users about this topic and how the thing can be done.
 
livecd script

hi,
thx for this topic.
i am looking for a set of script for fbsd (7.1) forcreate a custom livecd.
I thought to use freesbie (specially because i ve been part of the project) but the new fersion freesbie2 fails.
i ve also found in sysutils a livecd port, but it seems obsolete and jsut fail directly.
i used to be a fbsd user (branch 4.1 - > 5) and now it seems i am out of date with the 7.1 branch.
Is there a tool that exist for create livecd for ver 7.1 ?
best rgeards
thx for helping
 
nocomp said:
I thought to use freesbie (specially because i ve been part of the project) but the new fersion freesbie2 fails.
Where does it fail?
Can [thread=1525]this thread[/thread] be of any help?
 
hi,
it seems i have the same prob, i ve delete log files.
i gonna rerun a freesbie session.
in what file do you comment this option?
thx for your time
best regards
 
when a bug chase another one

thxx a lt for your advice ale, it worked.
but now i am facing another bug :'‑( freesbie 1.* was far less worry :'‑( would like to know why they changed it all
here is my error log in case you have any ideas:

#### Building kernel for i386 architecture ####
>>> Kernel build for FREESBIE started on Sun Feb 22 22:15:23 UTC 2009
>>> stage 1: configuring the kernel
>>> stage 2.1: cleaning up the object tree
>>> stage 2.2: rebuilding the object tree
>>> stage 2.3: build tools
>>> stage 3.1: making dependencies
>>> stage 3.2: building everything
>>> Kernel build for FREESBIE completed on Sun Feb 22 23:37:10 UTC 2009
#### Installing world for i386 architecture ####
>>> Making hierarchy
>>> Installing everything
#### Installing kernel for i386 architecture ####
>>> Installing kernel
#### Running plugins ####
-> customroot
Copying content of extra/customroot directory to the livefs
-> installports
Mounting ports' tree in the livefs chroot
mount_devfs: not found
*** Error code 127

Stop in /usr/local/share/freesbie.
shackbox#



thxxx for helping
best regards
 
Can you try replacing mount_devfs with mount -t devfs in/usr/local/share/freesbie/extra/installports.sh ?
 
hummmmm
i just followed your advice, this is what i got now
shackbox# make iso
#### Running plugins ####
-> customroot
Copying content of extra/customroot directory to the livefs
-> installports
Mounting ports' tree in the livefs chroot
mount_nullfs: Resource deadlock avoided
*** Error code 1

Stop in /usr/local/share/freesbie.
shackbox#


here is the file i ve mod

--------------------------------------------

#!/bin/sh
#
# Copyright (c) 2005 Dario Freni
#
# See COPYING for licence terms.
#
# $FreeBSD$
# $Id: installports.sh,v 1.4 2007/01/04 18:28:56 saturnero Exp $
#
# Remount the ports' tree under ${BASEDIR}/usr/ports and install ports
# listed in the INSTALL_PORTS variable in the usual category/portname
# form, e.g.: x11/nvidia-driver audio/emu10kx ...

set -e -u

if [ -z "${LOGFILE:-}" ]; then
echo "This script can't run standalone."
echo "Please use launch.sh to execute it."
exit 1
fi

INSTALL_PORTS=${INSTALL_PORTS:-}

if [ ! -z "${INSTALL_PORTS}" ]; then
echo "Mounting ports' tree in the livefs chroot"
set +e
if ! kldstat -v | grep -q nullfs; then
if ! kldload nullfs; then
echo "Cannot find nullfs support in kernel and cannot find the proper module, aborting"
exit 1
fi
fi
set -e

mkdir -p ${BASEDIR}/usr/ports ${BASEDIR}/usr/src
mount_nullfs ${PORTSDIR:-/usr/ports} ${BASEDIR}/usr/ports
mount_nullfs ${SRCDIR:-/usr/src} ${BASEDIR}/usr/src
mount -t devfs none ${BASEDIR}/dev

print_error_umount() {
echo "Something went wrong, check errors!" >&2
[ -n "${LOGFILE:-}" ] && \
echo "Log saved on ${LOGFILE}" >&2
umount_null
kill $$ # XXX exit 1 won't work.
}

umount_null() {
umount ${BASEDIR}/usr/ports;
umount ${BASEDIR}/usr/src;
umount ${BASEDIR}/dev;
}

trap "umount_null; exit 1" INT

tmpmakeconf=$(TMPDIR=${BASEDIR}/tmp mktemp -t make.conf)
envvars="BATCH=true"
if [ ! -z "${MAKE_CONF:-}" ]; then
cat ${MAKE_CONF} > ${tmpmakeconf}
envvars="${envvars} __MAKE_CONF=${tmpmakeconf#$BASEDIR}"
fi

for i in ${INSTALL_PORTS}; do
echo "Compiling ${i}"
(script -aq ${LOGFILE} chroot ${BASEDIR} make -C /usr/ports/${i} \
${envvars} clean install clean || print_error_umount;) | grep '^===>'
done

umount_null
trap "" INT
fi

cd ${LOCALDIR}
------------------------------------------


thxx a lot for your time.
best regards
 
What is the output of mount?
Maybe something has been mounted by the previous run but, as it failed, it has not been umounted?
 
dunno if it exactly what you wanted but here are the lines:
shackbox# mount -t devfs /usr/ports/ /dev
shackbox# umount /ev
umount: /ev: statfs: No such file or directory
umount: /ev: unknown file system
shackbox# umount /dev
shackbox#


best regards
 
Back
Top